This has probably been done before, but it didn't show up on the first page of search results and it only took 15 minutes to write. It's an adaptation of the Safari functionality in the [OmniFocus](http://www.omnigroup.com/products/omnifocus/) Clipper, rebuilt for Google Chrome.

When you clip from Safari with the default Clipper plugin (select text and type your clipping shortcut), it creates a new task with a title based on a summary of the selected text and a note containing the full selection and a linked page title. Meanwhile, doing the same from Chrome gives you no link and the default task title is just "From Google Chrome." Boring.

I changed the note title to pick the page title by default, rather than a summary of the selected text (which never turned out well). Other than that, the behavior is consistent with Safari clipping.

### Then things kinda got nuts

I had been wanting to try out an idea for a while, and this seemed like an easy testing ground. The second Clipper plugin in the zip file is "ChromeNV". I don't expect it to be terribly useful to everyone, but here's what it creates:

* Using [Marky](http://markdownrules.com), it grabs the content section of the current page as Markdown
* It grabs your selected text as the task note
* It creates a new note in nvALT with the Markdown text from the page
* It adds a link to that note in the task (the nvALT note contains the original permalink)

There's a short delay after the Quick Entry window comes up as it calls out to the Marky server. This will only work if you're online and, as always, there's a chance that Marky won't be able to find content. Worst case scenario, though, you don't get an nvALT note and OmniFocus *might* throw an error if I missed any scenarios in my error catching.

**Note:** Don't check both of these plugins in OmniFocus preferences at the same time. Only one of them will run, and it's probably going to be the less consistent one (on my machine the ChromeNV plugin seems to take priority).

### Installation

Unzip and drop the .bundle files into `~/Library/Application Support/OmniFocus/Plug-Ins`, creating the `Plug-Ins` folder if it doesn't exist. Then restart OmniFocus and open preferences. In the "Clippings" panel, you'll see "Chrome" and "ChromeNV." Both should be checked by default, so disable the one you don't want to use. Now you can select text and press your clipping shortcut combo to create nicer tasks from Chrome!

